Foreman - Bug #26200

[Audit] Repository creation under product creates audit record with empty content
03/01/2019 06:05 AM - Kavita Gaikwad

Status: Closed
Priority: Normal
Assignee: Kavita Gaikwad
Category: Audit Log
Target version:
Difficulty: Fixed in Releases: 1.24.0
Triaged: No Found in Releases:
Bugzilla link: 1647781 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6710
Description
Findings -

Katello::Content keeps the information about content i.e cp_content_id, content_type, content_url.

Product :has_many association with contents and :has_many association with root_repositories.
Inside root_repositories, it just keep content_id no association with content but 'content' method definition is there.

In audit record after creating a repository under product | can see audited_changes includes -> {"content_id"=>[nil,
"1551336016057"]}.

But as there is no content association mentioned in root_repository and while displaying information it tries to fetch association using
".reflect_on_association", it displays empty data.

So, this is issue while displaying content information on Ul.

Related issues:
Related to Katello - Bug #26675: [Audit] Repository creation under product cr... Closed
Blocks Katello - Bug #27383: Missing(ID: N) for Host_ids column in case of au... Closed

Associated revisions

Revision dab2876f - 09/09/2019 11:51 AM - Kavita Gaikwad
Fixes #26200 - call audit_hook_to_find_records for getting label (#6710)

e Fixes #26200 - call audit_hook_to_find_records for getting label

History

#1 - 03/01/2019 06:16 AM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

#2 - 04/24/2019 01:43 PM - Kavita Gaikwad
- Related to Bug #26675: [Audit] Repository creation under product creates audit record with empty content added

#3 - 04/25/2019 07:46 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6710 added

#4 - 07/23/2019 08:21 AM - Kavita Gaikwad
- Blocks Bug #27383: Missing(ID: N) for Host _ids column in case of audit records for subscription updates added

#5 - 09/09/2019 11:51 AM - The Foreman Bot
- Fixed in Releases 1.24.0 added
#6 - 09/09/2019 12:01 PM - Kavita Gaikwad
- Status changed from Ready For Testing to Closed

Applied in changeset dab2876f06b8ffed851ae96534ba962e3da05637.
